{ modulesPath, ... }:
{
  imports = [
    ./boot
    ./disko
    ./filesystems
    ./hardware
    ./network
    ./users
    ../../modules/system
    (modulesPath + "/profiles/headless.nix")
  ];

  networking = {
    hostName = "kitty";
    hostId = "8745e22e";
  };

  system = {
    server.enable = true;
    stateVersion = "24.11";
  };

  services.nfs.server.enable = true;
}
